# /providers - Request supported chains by a swap provider

The `/providers` endpoint allows users to retrieve a comprehensive list of all available swap providers integrated by dKit and their supported chains and metadata. This endpoint does not require any parameters and always returns the full list of providers and their information.

**Method:** `GET` **URL:** `/providers`

### **Request example:**

```
curl -X 'GET' \
  'https://crunchy.dorito.club/api/providers' \
  -H 'accept: application/json' \
  -H "x-api-key: YOUR_VARIABLE_HERE" 
```

### Response structure <a href="#response-structure" id="response-structure"></a>

The response contains an array of provider objects. Each object includes the following fields:

* `name` and `provider`: The name of the provider, used by SwapKit to reference it.
* `keywords`: Relevant keywords for the provider.
* `count`: Number of supported tokens.
* `logoURI`: URL to the provider’s logo.
* `url`: URL to the provider’s token list.
* `supportedChainIds`: List of supported chain IDs for the provider.

### **Sample provider information**

```
[
  {
    "name": "CHAINFLIP_STREAMING",
    "provider": "CHAINFLIP_STREAMING",
    "keywords": [],
    "count": 10,
    "logoURI": "https://crispy.sfo3.cdn.digitaloceanspaces.com/eth.eth.png",
    "url": "https://crispy.sfo3.cdn.digitaloceanspaces.com/eth.eth.png",
    "supportedActions": [
      "swap"
    ],
    "supportedChainIds": [
      "42161",
      "bitcoin",
      "1",
      "polkadot",
      "solana"
    ]
  },
  ...
]
```

### Supported providers <a href="#supported-providers" id="supported-providers"></a>

Below is the list of all providers available in the `/providers` response:

```
[
  "THORCHAIN",
  "THORCHAIN_STREAMING",
  "CHAINFLIP",
  "CHAINFLIP_STREAMING",
  "MAYACHAIN",
  "MAYACHAIN_STREAMING",
  "ONEINCH",
  "JUPITER",
]
```

### Chain IDs and corresponding names <a href="#chain-ids-and-corresponding-names" id="chain-ids-and-corresponding-names"></a>

The `supportedChainIds` field includes a list of chain IDs that each provider supports. The Chain IDs are standard among the crypto space so you may see the chains referenced by them elsewhere too. Below is a table with the chain IDs integrated by dKit and their corresponding regular names:

| Chain ID               | Chain Name                |
| ---------------------- | ------------------------- |
| `1`                    | Ethereum Mainnet          |
| `42161`                | Arbitrum One              |
| `43114`                | Avalanche C-Chain         |
| `8453`                 | Base                      |
| `56`                   | Binance Smart Chain (BSC) |
| `solana`               | Solana                    |
| `bitcoin`              | Bitcoin                   |
| `bitcoincash`          | Bitcoin Cash              |
| `litecoin`             | Litecoin                  |
| `cosmoshub-4`          | Cosmos Hub                |
| `dash`                 | Dash                      |
| `dogecoin`             | Dogecoin                  |
| `kaiyo-1`              | Kujira                    |
| `mayachain-mainnet-v1` | MayaChain                 |
| `polkadot`             | Polkadot                  |
| `thorchain-1`          | THORChain                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eldorito.club/dkit-by-eldorito/dkit-api/providers-request-supported-chains-by-a-swap-provider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
